Package com.mckoi.database.interpret

## Class AlterTableAction

- java.lang.Object
- - com.mckoi.database.interpret.AlterTableAction

All Implemented Interfaces:
  `StatementTreeObject`, `java.io.Serializable`, `java.lang.Cloneable`

    public final class AlterTableAction
    extends java.lang.Object
    implements java.io.Serializable, StatementTreeObject, java.lang.Cloneable

Represents an action in an ALTER TABLE SQL statement.

Author:
  Tobias Downer
See Also:
  Serialized Form

### Constructor Summary

Constructors
`AlterTableAction()` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addElement​(java.lang.Object ob)` Adds a parameter to this action.
`java.lang.Object` `clone()` Performs a DEEP clone of this object if it is mutable, or a deep clone of its mutable members.
`java.lang.String` `getAction()` Returns the name of this action.
`java.lang.Object` `getElement​(int n)` Returns element 'n'.
`java.util.ArrayList` `getElements()` Returns the ArrayList that represents the parameters of this action.
`void` `prepareExpressions​(ExpressionPreparer preparer)` Prepares all expressions in this statement tree object by passing the ExpressionPreparer object to the 'prepare' method of the expression.
`void` `setAction​(java.lang.String str)` Set the action to perform.

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AlterTableAction

    public AlterTableAction()

Constructor.

### Method Detail

#### setAction

    public void setAction​(java.lang.String str)

Set the action to perform.

#### addElement

    public void addElement​(java.lang.Object ob)

Adds a parameter to this action.

#### getAction

    public java.lang.String getAction()

Returns the name of this action.

#### getElements

    public java.util.ArrayList getElements()

Returns the ArrayList that represents the parameters of this action.

#### getElement

    public java.lang.Object getElement​(int n)

Returns element 'n'.

#### prepareExpressions

    public void prepareExpressions​(ExpressionPreparer preparer)
                            throws DatabaseException

Description copied from interface: `StatementTreeObject`
Prepares all expressions in this statement tree object by passing the ExpressionPreparer object to the 'prepare' method of the expression.

Specified by:
  `prepareExpressions` in interface `StatementTreeObject`
Throws:
  `DatabaseException`

#### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

Description copied from interface: `StatementTreeObject`
Performs a DEEP clone of this object if it is mutable, or a deep clone of its mutable members. If the object is immutable then it may return 'this'.

Specified by:
  `clone` in interface `StatementTreeObject`
Overrides:
  `clone` in class `java.lang.Object`
Throws:
  `java.lang.CloneNotSupportedException`